be.ehealth.technicalconnector.session

## Interface SessionItemView

- All Known Subinterfaces:
    SessionItem
  All Known Implementing Classes:
    SessionItemImpl

      public interface SessionItemView

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SAMLToken.Version>` | `getActiveSAMLTokenVersions()`
    `Credential` | `getEncryptionCredential()` Gets the personal credential.
    `Crypto` | `getEncryptionCrypto()` Gets the crypto associated with the Encryption credentials
    `Map<String,PrivateKey>` | `getEncryptionPrivateKeys()` Gets the persona decryption keys.
    `Credential` | `getHeaderCredential()` Gets the header credential.
    `Credential` | `getHolderOfKeyCredential()` Gets the system credential.
    `Crypto` | `getHolderOfKeyCrypto()` Gets the crypto associated with the HOK credentials
    `Map<String,PrivateKey>` | `getHolderOfKeyPrivateKeys()` Gets the system decryption keys.
    `SAMLToken` | `getSAMLToken()` Deprecated.
    `SAMLToken` | `getSAMLToken(SAMLToken.Version version)` Gets the SAML token.
    `SAMLTokenContainer` | `getSAMLTokenContainer()`

- - ### Method Detail

    - #### getSAMLToken

          SAMLToken getSAMLToken(SAMLToken.Version version)

      Gets the SAML token.

    - #### getSAMLToken

          @Deprecated
          SAMLToken getSAMLToken()

      Deprecated.

    - #### getSAMLTokenContainer

          SAMLTokenContainer getSAMLTokenContainer()

    - #### getActiveSAMLTokenVersions

          List<SAMLToken.Version> getActiveSAMLTokenVersions()

    - #### getHolderOfKeyCredential

          Credential getHolderOfKeyCredential()

      Gets the system credential.

    - #### getHolderOfKeyPrivateKeys

          Map<String,PrivateKey> getHolderOfKeyPrivateKeys()

      Gets the system decryption keys.

    - #### getEncryptionCredential

          Credential getEncryptionCredential()

      Gets the personal credential.

    - #### getEncryptionPrivateKeys

          Map<String,PrivateKey> getEncryptionPrivateKeys()

      Gets the persona decryption keys.

    - #### getHolderOfKeyCrypto

          Crypto getHolderOfKeyCrypto()
                               throws TechnicalConnectorException

      Gets the crypto associated with the HOK credentials
      Throws:
        `TechnicalConnectorException`

    - #### getEncryptionCrypto

          Crypto getEncryptionCrypto()
                              throws TechnicalConnectorException

      Gets the crypto associated with the Encryption credentials
      Throws:
        `TechnicalConnectorException`

    - #### getHeaderCredential

          Credential getHeaderCredential()
                                  throws TechnicalConnectorException

      Gets the header credential.
      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.